Bug 231259 - PerlMagick's shared library is not linked with ImageMagick
PerlMagick's shared library is not linked with ImageMagick
Product: Fedora
Classification: Fedora
Component: ImageMagick (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: Norm Murray
Depends On:
  Show dependency treegraph
Reported: 2007-03-06 21:26 EST by Marius Feraru
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-03-30 00:42:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Marius Feraru 2007-03-06 21:26:27 EST
Description of problem:
PerlMagick's shared library is not linked with ImageMagick.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce & Actual results:

$ rpm -qp --requires ImageMagick-perl- |grep Magick
ImageMagick =
$ ldd ldd
| grep Magick

Expected results:

$ ldd
|grep Magick
libMagick.so.10 => /usr/lib/libMagick.so.10 (0x00110000)

Additional info:

Fix it by adding "-lMagick" to that LDDLFLAGS override. E.g.:
--with-perl-options="INSTALLDIRS=vendor %{?perl_prefix} CC='%__cc
-L$PWD/magick/.libs' LDDLFLAGS='-shared -lMagick -L$PWD/magick/.libs'" \

An upgrade to ImageMagick would be nice, too ;-)
Comment 1 Jan Kratochvil 2007-03-26 18:22:42 EDT
There was already once this problem - Bug 203975, it got fixed that time.

Note You need to log in before you can comment on or make changes to this bug.